Bug 168196 - xenU guest system startup
xenU guest system startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2005-09-13 09:40 EDT by Florian La Roche
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 13:38:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2005-09-13 09:40:45 EDT
Description of problem:
Generating a xenU guest system with current FC5 rpm packages gives warnings
on bootup for the suspend stuff as well as for hotplug (CONFIG_HOTPLUG is
currently disabled per default).

Maybe the script can check /proc entries if they exist before writing
new data into them?

greetings,

Florian La Roche





# for software suspend2
echo "echo Activating software suspend" >>$RCFILE
echo "echo > /proc/software_suspend/do_resume" >>$RCFILE
#########################################################

if [ -n "$USE_UDEV" ]; then
    if [ -n "$UDEV_TMPFS" ]; then
        cat >> $RCFILE <<EOF
echo Creating /dev
mount -o mode=0755 -t tmpfs /dev /dev
mknod /dev/console c 5 1
mknod /dev/null c 1 3
mknod /dev/zero c 1 5
mkdir /dev/pts
mkdir /dev/shm
EOF
    fi
    cat >> $RCFILE <<EOF
echo Starting udev
/sbin/udevstart
echo -n "/sbin/hotplug" > /proc/sys/kernel/hotplug



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-02-24 13:38:10 EST
This should be better now that the Xen kernels are better integrated

Note You need to log in before you can comment on or make changes to this bug.